const express = require("express");

const healthRoutes = require("./health.routes");
const userAuthRoutes = require("./userRoutes/authRoutes");
const vendorAuthRoutes = require("./vendorRoutes/authRoutes");
const adminAuthRoutes = require("./adminRoutes/authRoutes");
const adminUsersRoutes = require("./adminRoutes/usersRoutes");
const adminVendorsRoutes = require("./adminRoutes/vendorsRoutes");
const adminDeliveryBoysRoutes = require("./adminRoutes/deliveryBoysRoutes");
const adminMiscRoutes = require("./adminRoutes/miscRoutes");
const adminCategoriesRoutes = require("./adminRoutes/categoriesRoutes");
const adminSubCategoriesRoutes = require("./adminRoutes/subCategoriesRoutes");
const adminAttributesRoutes = require("./adminRoutes/attributesRoutes");
const adminBannersRoutes = require("./adminRoutes/bannersRoutes");
const adminPromotionsRoutes = require("./adminRoutes/promotionsRoutes");
const adminNotificationsRoutes = require("./adminRoutes/notificationsRoutes");
const deliveryBoyAuthRoutes = require("./deliveryBoyRoutes/authRoutes");
const adminFaqRoutes = require("./adminRoutes/faqRoutes");
const publicRoutes = require("./publicRoutes");

const router = express.Router();

router.use("/health", healthRoutes);
router.use("/public", publicRoutes);
router.use("/user/auth", userAuthRoutes);
router.use("/vendor/auth", vendorAuthRoutes);
router.use("/admin/auth", adminAuthRoutes);
router.use("/admin/users", adminUsersRoutes);
router.use("/admin/vendors", adminVendorsRoutes);
router.use("/admin/delivery-boys", adminDeliveryBoysRoutes);
router.use("/admin/misc", adminMiscRoutes);
router.use("/admin/categories", adminCategoriesRoutes);
router.use("/admin/sub-categories", adminSubCategoriesRoutes);
router.use("/admin/attributes", adminAttributesRoutes);
router.use("/admin/banners", adminBannersRoutes);
router.use("/admin/promotions", adminPromotionsRoutes);
router.use("/admin/notifications", adminNotificationsRoutes);
router.use("/delivery/auth", deliveryBoyAuthRoutes);
router.use("/admin/faq", adminFaqRoutes);
module.exports = router;
